Bug 608920 - pagination/sorting is broken on the event>history pages
Summary: pagination/sorting is broken on the event>history pages
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Events (Show other bugs)
(Show other bugs)
Version: 3.0.0
Hardware: All All
low
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 22:20 UTC by Joseph Marques
Modified: 2010-08-12 16:49 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:49:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joseph Marques 2010-06-28 22:20:48 UTC
This was a regression introduced when the following was being fixed:

"[Bug 586503] Compatible group containing over 1000 resources causes ORA-01795: maximum number of expressions in a list is 1000"

Trying to sort will do nothing.  Trying to go to the next page yields an IndexOutOfBoundsException.

Comment 1 Joseph Marques 2010-06-28 22:47:24 UTC
commit ed2e74b6d29dc707ad401874fdb0a48d386b86a8
Author: Joseph Marques <joseph@redhat.com>
Date:   Mon Jun 28 18:21:29 2010 -0400

    BZ-608920 - fix pagination/sorting for event>history
    
    * pagination was failed because empty "details" filter wasn't being interpreted as null
    * sorting was broken becauset the native SQL solutio nwas replaced by criteria API, use uses as a different alias scheme

Comment 2 Corey Welton 2010-07-01 13:43:38 UTC
Going to mark this verified, because sorting and next/previous now seem to work.

I did encounter this while testing event logging -- i used rhq's own log as the event logging source -- and only mentioning it here because it looks like it might actually be related to the logging.  No idea how to repro.  If I find a way to repro, will write up a separate bug.

[org.rhq.enterprise.gui.common.paging.PagedListDataModel] PageControlView[EventHistoryUIBean]: Received error[java.lang.IllegalArgumentException: org.hibernate.QueryException: could not resolve property: location of: org.rhq.core.domain.event.Event [SELECT new org.rhq.core.domain.event.composite.EventComposite( event.detail, event.source.resource.id, event.source.resource.name, event.id, event.severity, event.source.location, event.timestamp ) FROM org.rhq.core.domain.event.Event event WHERE ( event.timestamp >= :startTime AND event.severity IN ( :severities ) AND event.source.resourceId = :resourceId AND event.timestamp <= :endTime ) ORDER BY event.location ASC, event.severity DESC, event.timestamp DESC ]], resetting to PageControl[page=0, size=15]

Comment 3 Joseph Marques 2010-07-01 15:00:19 UTC
commit 275fc7441e3ea61fef5b3abbecf01c9c98713ade
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jul 1 10:57:53 2010 -0400

    BZ-608920 - fix sorting on location column of event>history page

Comment 4 Rajan Timaniya 2010-07-02 11:51:20 UTC
Tested on JON 2.4 GA_QA (tag-jon-release  build# 49)
Revision: 10771

Steps:
1) Log in to JON
2) Make sure that JBossAS 'Log Event Sources' is enabled
3) Wait for some time for log entries in Event>History (Make sure that there are more then 15 entries)
4) Change 'Items Per Page: 45'
5) Sort by column 'Severity' 

Observation:
It automatically changes the value of 'Items Per Page:' to 15.

Expected:
System should not automatically change the value of 'Item Per Page:' and pagination/sorting should works fine on the Event>History pages.

Comment 5 Corey Welton 2010-07-02 20:16:50 UTC
rajan, I think this is a limitation of the toolkit.  In addition, I think this would be/is a separate bug regarding this behaviour.

QA Verifying

Comment 6 Corey Welton 2010-08-12 16:49:27 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.